//---------------------------------------------------------------------------
#ifndef CIBExtractH
#define CIBExtractH
//---------------------------------------------------------------------------
#include "Outils.h"
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Comctrls.hpp>
#include <Db.hpp>
#include <IBSQL.hpp>
#include <IBDatabase.hpp>
#include <IBExtract.hpp>
//---------------------------------------------------------------------------
class PACKAGE_OUTILS CIBExtract : public TIBExtract
{
private:
    typedef TIBExtract inherited;
    // Pour rester en accord avec le TIBExtract et sa fonction CreateIBSQL() qui n'est pas accessible
    TIBSQL * __fastcall Create_IBSQL(void);
public:
    __fastcall CIBExtract(TComponent* Owner);
    virtual __fastcall ~CIBExtract() {};

    void __fastcall ExtractValGenerator(const AnsiString &ObjectName);
    void __fastcall ExtractValDescription(const AnsiString &ObjectName);

    void __fastcall ExtractTrigger(const AnsiString &ObjectName, bool _bSetTerm=false);

    // Fonction à utiliser à la place de "ExtractObject(eoData,...,...)" du TIBExtract qui est fausse
    void __fastcall ExtractData(const AnsiString &ObjectName);
};
//---------------------------------------------------------------------------
#endif
